Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.tasks
[Java] Class TaskValidationException

    java.lang.Object
      org.gradle.api.internal.AbstractMultiCauseException
          org.gradle.api.tasks.TaskValidationException

    @Contextual
    public class TaskValidationException
    extends AbstractMultiCauseException

A `TaskValidationException` is thrown when there is some validation problem with a task.

Constructor Summary
`TaskValidationException(String message, List causes)`

Constructor Detail

### TaskValidationException

    public TaskValidationException(String message, List causes)

Gradle API 1.1-rc-1